%define anolis_release 1

Name:             powertop
Version:          2.15
Release:          %{anolis_release}%{?dist}
Summary:          Power consumption monitor

License:          GPLv2
URL:              http://01.org/powertop/
Source0:          http://github.com/fenrus75/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# Sent upstream
Patch1:           0001-powertop-2.7-always-create-params.patch
BuildRequires:    make
BuildRequires:    gettext-devel
BuildRequires:    ncurses-devel
BuildRequires:    pciutils-devel
BuildRequires:    zlib-devel
BuildRequires:    libnl3-devel
BuildRequires:    automake
BuildRequires:    libtool
BuildRequires:    systemd
BuildRequires:    autoconf-archive
BuildRequires:    gcc
BuildRequires:    gcc-c++
Requires(post):   systemd, coreutils
Requires(preun):  systemd
Requires(postun): systemd
Requires:         glibc
Requires:         libstdc++
Provides:         bundled(kernel-event-lib)

%description
PowerTOP is a tool that finds the software component(s) that make your
computer use more power than necessary while it is idle.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

echo "v%{version}" > version-long
echo '"v%{version}"' > version-short

%build
# workaround for rhbz#1826935
autoreconf -fi || autoreconf -fi
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}" V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -Dd %{buildroot}%{_localstatedir}/cache/powertop
touch %{buildroot}%{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop}
%find_lang %{name}

# Systemd
install -Dpm 644 powertop.service %{buildroot}%{_unitdir}/powertop.service

%generate_compatibility_deps

%preun
%systemd_preun powertop.service

%postun
%systemd_postun_with_restart powertop.service

%post
%systemd_post powertop.service
# Hack for powertop not to show warnings on first start
touch %{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop} &> /dev/null || :

%files -f %{name}.lang
%dir %{abidir}
%doc COPYING
%dir %{_localstatedir}/cache/powertop
%ghost %{_localstatedir}/cache/powertop/saved_parameters.powertop
%ghost %{_localstatedir}/cache/powertop/saved_results.powertop
%{_sbindir}/powertop
%{abidir}/powertop-option.list
%{_mandir}/man8/powertop.8*
%{_unitdir}/powertop.service
%{_datadir}/bash-completion/completions/powertop

%files doc
%doc README.md README.traceevent CONTRIBUTE.md TODO

%changelog
* Thu Dec 29 2022 Feng Su <sufeng@linux.alibaba.com> - 2.15-1
- initial  packaging for Anolis 23
